とあるエンジニアの闇歴史帳

コピペで使える便利Wiki ※現在構築中です。

ユーザ用ツール


senchatouch:error4

差分

このページの2つのバージョン間の差分を表示します。

この比較画面にリンクする

senchatouch:error4 [2017/12/14 20:18]
senchatouch:error4 [2020/06/23 14:10] (現在)
行 1: 行 1:
 +====== ビルド時に「Did not find a system installed ruby runtime」というエラーが出る ======
 +~~socialite~~
 +ビルドコマンドを叩いた際に次のエラーが表示されることがあります。
  
 +<code>
 +[ERR] 
 +
 +Did not find a system installed ruby runtime
 +Please install ruby for this platform and ensure that
 +a ruby command compatible with 1.8 or 1.9 is available
 +on the system path.
 +
 +[ERR] 
 +[ERR] BUILD FAILED
 +[ERR] com.sencha.exceptions.ExNotFound: Failed to detect ruby
 +[ERR] 
 +</code>
 +
 +読んで字のごとくRubyがインストールされていないか、senchaが見つけられないという内容です。[[SenchaTouch:install|インストール]]がまだであれば行ってみてください。すでにいれているのに表示されるようなら、パスの設定等を見直してください。
 +
 +===== 関連書籍 =====
 +{{amazon>jp:B00L10N8T8}}
 +<html><p style="clear:both"></p></html>
 +
 +{{amazon>jp:B00MB6GOU6}}
 +<html><p style="clear:both"></p></html>
 +
 +{{amazon>jp:B00HEB6UFM}}
 +<html><p style="clear:both"></p></html>
 +
 +{{amazon>jp:B00G9QISLC}}
 +<html><p style="clear:both"></p></html>
 +
 +{{tag>SenchaTouch エラー}}
 +~~socialite~~

関連ページ